#### Linux From Scratch - Version 11.1-rc1

### Chapter 8. Installing Basic System Software

- Prev

  Attr-2.5.1

- Next

  Libcap-2.63

- Up
- Home

# 8.23. Acl-2.3.1

The Acl package contains utilities to administer Access Control Lists, which are used to define more fine-grained discretionary access rights for files and directories.

Approximate build time: 0.1 SBU
Required disk space: 6.1 MB

## 8.23.1. Installation of Acl

Prepare Acl for compilation:

    ./configure --prefix=/usr         \
                --disable-static      \
                --docdir=/usr/share/doc/acl-2.3.1

Compile the package:

    make

The Acl tests need to be run on a filesystem that supports access controls after Coreutils has been built with the Acl libraries. If desired, return to this package and run make check after Coreutils has been built later in this chapter.

Install the package:

    make install

## 8.23.2. Contents of Acl

Installed programs: chacl, getfacl, and setfacl
Installed library: libacl.so
Installed directories: /usr/include/acl and /usr/share/doc/acl-2.3.1

### Short Descriptions

chacl | Changes the access control list of a file or directory
getfacl | Gets file access control lists
setfacl | Sets file access control lists
`libacl` | Contains the library functions for manipulating Access Control Lists

- Prev

  Attr-2.5.1

- Next

  Libcap-2.63

- Up
- Home